@font-face {
    font-family: 'MV Typewriter';
    src: url('../fonts/MV_Typewriter_Regular.ttf') format('truetype');
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: 'MV Typewriter';
    src: url('../fonts/MV_Typewriter_SemiBold.ttf') format('truetype');
    font-weight: 600;
    font-style: normal;
}

@font-face {
    font-family: 'MV Typewriter';
    src: url('../fonts/MV_Typewriter_Bold.ttf') format('truetype');
    font-weight: 700;
    font-style: normal;
}

:root {
    --scrollbar-thumb: rgba(0, 0, 0, 0.18);
    --scrollbar-thumb-hover: rgba(0, 0, 0, 0.38);
}

html.dark {
    --scrollbar-thumb: rgba(255, 255, 255, 0.16);
    --scrollbar-thumb-hover: rgba(255, 255, 255, 0.32);
}

::-webkit-scrollbar {
    width: 2px !important;
}

::-webkit-scrollbar-thumb {
    background: var(--scrollbar-thumb);
    border-radius: 4px;
}

::-webkit-scrollbar-thumb:hover {
    background: var(--scrollbar-thumb-hover);
}

::-webkit-scrollbar-track {
    background: 0 0;
}

.mud-appbar-glass {
    backdrop-filter: blur(10px);
}

.profile-page .mud-paper {
    border-radius: 8px;
}

.profile-page .mud-avatar {
    width: 100px !important;
    height: 100px !important;
    font-size: 48px;
}

.profile-page .mud-card {
    margin-bottom: 16px;
    border-radius: 8px;
}
